Index: src/mainboard/nokia/ip530/devicetree.cb
===================================================================
--- src/mainboard/nokia/ip530/devicetree.cb	(revision 6292)
+++ src/mainboard/nokia/ip530/devicetree.cb	(working copy)
@@ -51,13 +51,14 @@
             irq 0xB2 = 0x0C		# Soft power status 1
             irq 0xB3 = 0x05		# Soft power status 2
             irq 0xC0 = 0x03		# IRQ MUX control
-
+            # setting up the PINs to there function, ie. GPIO, IRQ or other function
             irq 0xC8 = 0x10		# GP50 = (I/O) output = Flashrom enable
             irq 0xCA = 0x09		# GP52 = IRQ8 (output)
             irq 0xCB = 0x01		# GP53 = nROMCS (output)
             irq 0xCC = 0x11		# GP54 = (I/O) input
-            irq 0xF9 = 0x00             # read/write GP5x lines (0x1C)
-
+## This line can go !!!!
+#           irq 0xF9 = 0x00             # read/write GP5x lines (0x1C)
+            # setting up the PINs to there function, ie. GPIO, IRQ or other function
             irq 0xD0 = 0x08		# GP60 = IRQ1
             irq 0xD1 = 0x08		# GP61 = IRQ3
             irq 0xD2 = 0x08		# GP62 = IRQ4
@@ -66,17 +67,19 @@
             irq 0xD5 = 0x11		# GP65 = (I/O) input
             irq 0xD6 = 0x08		# GP66 = IRQ8
             irq 0xD7 = 0x11		# GP67 = (I/O) input
-            irq 0xFA = 0x00		# read/write GP6x lines (0x88)
-
-            irq 0xE0 = 0x00		# GP10 (I/O) = output
-            irq 0xE1 = 0x01		# GP11 (I/O) = input
+## This line can go !!!!
+#           irq 0xFA = 0x00		# read/write GP6x lines (0x88)
+            # setting up the PINs to there function, ie. GPIO, IRQ or other function
+            irq 0xE0 = 0x00		# GP10 (I/O) = output   to DI of 93LC46 (1024 bits of EEPROM)
+            irq 0xE1 = 0x01		# GP11 (I/O) = input  from DO of 93LC46
+            irq 0xE4 = 0x00		# GP14 (I/O) = output   to SK of 93LC46
+            irq 0xE5 = 0x00		# GP15 (I/O) = output   to CS of 93LC46
             irq 0xE2 = 0x08		# GP12 = P17
             irq 0xE3 = 0x00		# GP13 (I/O) = output = LED fault on front, active low
-            irq 0xE4 = 0x00		# GP14 (I/O) = output
-            irq 0xE5 = 0x00		# GP15 (I/O) = output
             irq 0xE6 = 0x01		# GP16 (I/O) = input = JP900 on board, low on short, high on open
             irq 0xE7 = 0x00 		# GP17 (I/O) = output = LED alert on front, active low
-            irq 0xF6 = 0xFF		# read/write GP1x lines (0xCA)
+            # Make sure that the LEDs are off and set all EEPROM lines HIGH  
+            irq 0xF6 = 0xAC		# read/write GP1x lines (0xCA)
 
             irq 0xEF = 0x00		# GP_INT2 disable
             irq 0xF0 = 0x00		# GP_INT1 disable
